pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__webxref.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__webxref.adb");

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is
   pragma Warnings (Off);

   E138 : Short_Integer; pragma Import (Ada, E138, "system__os_lib_E");
   E018 : Short_Integer; pragma Import (Ada, E018, "system__soft_links_E");
   E181 : Short_Integer; pragma Import (Ada, E181, "system__fat_lflt_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "system__fat_llf_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "system__exception_table_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "ada__containers_E");
   E128 : Short_Integer; pragma Import (Ada, E128, "ada__io_exceptions_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "ada__numerics_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "ada__strings_E");
   E051 : Short_Integer; pragma Import (Ada, E051, "ada__strings__maps_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "ada__strings__maps__constants_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "ada__tags_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "ada__streams_E");
   E067 : Short_Integer; pragma Import (Ada, E067, "interfaces__c_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "interfaces__c__strings_E");
   E030 : Short_Integer; pragma Import (Ada, E030, "system__exceptions_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "system__finalization_root_E");
   E116 : Short_Integer; pragma Import (Ada, E116, "ada__finalization_E");
   E283 : Short_Integer; pragma Import (Ada, E283, "system__regpat_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "system__storage_pools_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "system__finalization_masters_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "system__storage_pools__subpools_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "system__task_info_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "ada__calendar_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "ada__calendar__time_zones_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "gnat__calendar_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "gnat__calendar__time_io_E");
   E302 : Short_Integer; pragma Import (Ada, E302, "gnat__directory_operations_E");
   E254 : Short_Integer; pragma Import (Ada, E254, "system__assertions_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "system__pool_global_E");
   E141 : Short_Integer; pragma Import (Ada, E141, "system__file_control_block_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "ada__streams__stream_io_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__file_io_E");
   E264 : Short_Integer; pragma Import (Ada, E264, "system__random_seed_E");
   E022 : Short_Integer; pragma Import (Ada, E022, "system__secondary_stack_E");
   E096 : Short_Integer; pragma Import (Ada, E096, "ada__strings__unbounded_E");
   E063 : Short_Integer; pragma Import (Ada, E063, "ada__directories_E");
   E148 : Short_Integer; pragma Import (Ada, E148, "system__regexp_E");
   E300 : Short_Integer; pragma Import (Ada, E300, "gnat__command_line_E");
   E287 : Short_Integer; pragma Import (Ada, E287, "system__strings__stream_ops_E");
   E225 : Short_Integer; pragma Import (Ada, E225, "system__tasking__initialization_E");
   E233 : Short_Integer; pragma Import (Ada, E233, "system__tasking__protected_objects_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "ada__text_io_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "system__tasking__protected_objects__entries_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "system__tasking__queuing_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "templates_parser_tasking_E");
   E272 : Short_Integer; pragma Import (Ada, E272, "templates_parser_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "templates_parser__input_E");
   E292 : Short_Integer; pragma Import (Ada, E292, "templates_parser__utils_E");
   E155 : Short_Integer; pragma Import (Ada, E155, "aws__utils_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      E155 := E155 - 1;
      declare
         procedure F1;
         pragma Import (Ada, F1, "aws__utils__finalize_spec");
      begin
         if E155 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_body");
      begin
         E272 := E272 - 1;
         if E272 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser__finalize_spec");
      begin
         if E272 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "templates_parser_tasking__finalize_body");
      begin
         E296 := E296 - 1;
         if E296 = 0 then
            F4;
         end if;
      end;
      E237 := E237 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E237 = 0 then
            F5;
         end if;
      end;
      E152 := E152 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "ada__text_io__finalize_spec");
      begin
         if E152 = 0 then
            F6;
         end if;
      end;
      E063 := E063 - 1;
      E148 := E148 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "system__regexp__finalize_spec");
      begin
         if E148 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "ada__directories__finalize_spec");
      begin
         if E063 = 0 then
            F8;
         end if;
      end;
      E096 := E096 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "ada__strings__unbounded__finalize_spec");
      begin
         if E096 = 0 then
            F9;
         end if;
      end;
      E110 := E110 - 1;
      E106 := E106 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__file_io__finalize_body");
      begin
         E131 := E131 - 1;
         if E131 = 0 then
            F10;
         end if;
      end;
      E183 := E183 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "ada__streams__stream_io__finalize_spec");
      begin
         if E183 = 0 then
            F11;
         end if;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__file_control_block__finalize_spec");
      begin
         E141 := E141 - 1;
         if E141 = 0 then
            F12;
         end if;
      end;
      E143 := E143 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "system__pool_global__finalize_spec");
      begin
         if E143 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "system__storage_pools__subpools__finalize_spec");
      begin
         if E106 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "system__finalization_masters__finalize_spec");
      begin
         if E110 = 0 then
            F15;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");
   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, True, True, False, False, False, True, 
           False, True, True, True, True, False, False, True, 
           False, False, True, True, False, True, True, True, 
           True, True, True, True, True, True, False, True, 
           False, False, True, False, True, True, False, False, 
           True, True, False, False, True, False, True, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, False, True, False, True, 
           True, False, True, True, True, False, True, True, 
           False, False, False, False, True, False),
         Count => (2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      Finalize_Library_Objects := finalize_library'access;

      if E018 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E181 = 0 then
         System.Fat_Lflt'Elab_Spec;
      end if;
      E181 := E181 + 1;
      if E179 = 0 then
         System.Fat_Llf'Elab_Spec;
      end if;
      E179 := E179 + 1;
      if E012 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E012 := E012 + 1;
      if E058 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E058 := E058 + 1;
      if E128 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E128 := E128 + 1;
      if E174 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E174 := E174 + 1;
      if E009 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E009 := E009 + 1;
      if E051 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E055 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E055 := E055 + 1;
      if E098 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E117 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E117 := E117 + 1;
      if E067 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E133 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      if E030 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E030 := E030 + 1;
      if E119 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E119 := E119 + 1;
      if E116 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E116 := E116 + 1;
      if E283 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      if E121 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E121 := E121 + 1;
      if E110 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E106 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      if E201 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E201 := E201 + 1;
      if E065 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E065 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E065 := E065 + 1;
      if E073 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E073 := E073 + 1;
      if E276 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E276 := E276 + 1;
      if E278 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      if E302 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E254 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E254 := E254 + 1;
      if E143 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E143 := E143 + 1;
      if E141 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E141 := E141 + 1;
      if E183 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E183 := E183 + 1;
      if E264 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E264 := E264 + 1;
      if E131 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E131 := E131 + 1;
      E106 := E106 + 1;
      if E110 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E110 := E110 + 1;
      E283 := E283 + 1;
      E133 := E133 + 1;
      E067 := E067 + 1;
      if E098 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E098 := E098 + 1;
      E051 := E051 + 1;
      if E018 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E018 := E018 + 1;
      if E138 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E138 := E138 + 1;
      if E022 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E022 := E022 + 1;
      if E302 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E302 := E302 + 1;
      if E096 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E096 := E096 + 1;
      if E063 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E148 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E148 := E148 + 1;
      if E063 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E063 := E063 + 1;
      if E300 = 0 then
         Gnat.Command_Line'Elab_Spec;
      end if;
      if E287 = 0 then
         System.Strings.Stream_Ops'Elab_Body;
      end if;
      E287 := E287 + 1;
      if E225 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E225 := E225 + 1;
      if E233 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E233 := E233 + 1;
      if E152 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E152 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E152 := E152 + 1;
      if E300 = 0 then
         Gnat.Command_Line'Elab_Body;
      end if;
      E300 := E300 + 1;
      E278 := E278 + 1;
      if E237 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E237 := E237 + 1;
      if E231 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E231 := E231 + 1;
      if E296 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E296 := E296 + 1;
      if E272 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E290 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E290 := E290 + 1;
      if E292 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E292 := E292 + 1;
      if E272 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E272 := E272 + 1;
      if E155 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E155 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E155 := E155 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_webxref");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/tools/webxref.o
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/lib/include/
   --   -L/usr/lib64/zlib-ada/
   --   -L/usr/share/gpr/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/lib/src/
   --   -L/usr/lib64/xmlada/relocatable/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/lib/ssl/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/ssl/
   --   -L/usr/lib64/templates_parser/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lpthread
--  END Object file/option list   

end ada_main;
